CREATE TABLE  "CONTENTATTRIBUTE" 
   (	"ID" NUMBER(11,0), 
	"CONTENTID" VARCHAR2(32) default '' NOT NULL, 
	"NAME" VARCHAR2(255) default '' NOT NULL, 
	"VALUE_BIN" BLOB, 
	"VALUE_INT" NUMBER(11,0) default NULL, 
	"SORTORDER" NUMBER(11,0) default NULL, 
	"VALUE_BLOB" BLOB, 
	"VALUE_CLOB" CLOB, 
	"VALUE_LONG" NUMBER(20,0) default NULL, 
	"VALUE_DOUBLE" NUMBER default NULL, 
	"VALUE_DATE" DATE default NULL, 
	"VALUE_TEXT" VARCHAR2(255) default NULL, 
	 PRIMARY KEY ("ID") ENABLE
   )
/

CREATE INDEX "CONTENTATTRIBUTE_IDX1"
 ON "CONTENTATTRIBUTE" ("CONTENTID")
/
CREATE INDEX "CONTENTATTRIBUTE_IDX2"
 ON "CONTENTATTRIBUTE" ("NAME")
/
CREATE INDEX "CONTENTATTRIBUTE_IDX3"
 ON "CONTENTATTRIBUTE" ("CONTENTID", "NAME")
/ 

CREATE TABLE  "CONTENTATTRIBUTETYPE" 
   (	"NAME" VARCHAR2(255) default NULL, 
	"ATTRIBUTETYPE" NUMBER(11,0) default NULL, 
	"OPTIMIZED" NUMBER(11,0) default NULL, 
	"QUICKNAME" VARCHAR2(255) default NULL, 
	"MULTIVALUE" NUMBER(11,0) default 0 NOT NULL, 
	"OBJECTTYPE" NUMBER(11,0) default 0 NOT NULL, 
	"LINKEDOBJECTTYPE" NUMBER(11,0) default 0 NOT NULL, 
	"FOREIGNLINKATTRIBUTE" VARCHAR2(255) default NULL, 
	"FOREIGNLINKATTRIBUTERULE" CLOB, 
	"EXCLUDE_VERSIONING" NUMBER(11,0) default 0 NOT NULL,
	"FILESYSTEM" NUMBER(11,0) default 0 NOT NULL
   )
/

CREATE TABLE  "CONTENTATTRIBUTE_NODEVERSION" 
   (	"ID" NUMBER(11,0) default 0 NOT NULL, 
	"CONTENTID" VARCHAR2(32) default '' NOT NULL, 
	"NAME" VARCHAR2(255) default '' NOT NULL, 
	"VALUE_TEXT" VARCHAR2(255) default NULL, 
	"VALUE_BIN" BLOB, 
	"VALUE_INT" NUMBER(11,0) default NULL, 
	"SORTORDER" NUMBER(11,0) default NULL, 
	"VALUE_BLOB" BLOB, 
	"NODEVERSIONTIMESTAMP" NUMBER(11,0) default NULL, 
	"NODEVERSION_USER" VARCHAR2(255) default NULL, 
	"NODEVERSIONLATEST" NUMBER(11,0) default NULL, 
	"NODEVERSIONREMOVED" NUMBER(11,0) default NULL, 
	"NODEVERSION_AUTOUPDATE" NUMBER(4,0) default 0 NOT NULL, 
	"VALUE_CLOB" CLOB, 
	"VALUE_LONG" NUMBER(20,0) default NULL, 
	"VALUE_DOUBLE" NUMBER default NULL, 
	"VALUE_DATE" DATE  default NULL
   )
/
CREATE INDEX "CONTENTATTRIBUTE_NODEVER_IDX1"
 ON "CONTENTATTRIBUTE_NODEVERSION" ("ID", "NODEVERSIONTIMESTAMP")
/ 
CREATE INDEX "CONTENTATTRIBUTE_NODEVER_IDX2"
 ON "CONTENTATTRIBUTE_NODEVERSION" ("CONTENTID", "NAME")
/ 
CREATE INDEX "CONTENTATTRIBUTE_NODEVER_IDX3"
 ON "CONTENTATTRIBUTE_NODEVERSION" ("SORTORDER")
/ 
CREATE INDEX "CONTENTATTRIBUTE_NODEVER_IDX5"
 ON "CONTENTATTRIBUTE_NODEVERSION" ("CONTENTID")
/ 
CREATE INDEX "CONTENTATTRIBUTE_NODEVER_IDX6"
 ON "CONTENTATTRIBUTE_NODEVERSION" ("ID")
/ 
CREATE INDEX "CONTENTATTRIBUTE_NODEVER_IDX7"
 ON "CONTENTATTRIBUTE_NODEVERSION" ("NAME")
/ 
CREATE INDEX "CONTENTATTRIBUTE_NODEVER_IDX8"
 ON "CONTENTATTRIBUTE_NODEVERSION" ("CONTENTID","NAME","VALUE_TEXT")
/ 

-- gentics-start-table-contentmap
CREATE TABLE  "CONTENTMAP" 
   (	"ID" NUMBER(11,0), 
	"CONTENTID" VARCHAR2(32) default '' NOT NULL, 
	"OBJ_ID" NUMBER(11,0) default 0 NOT NULL, 
	"OBJ_TYPE" NUMBER(11,0) default 0 NOT NULL, 
	"MOTHER_OBJ_ID" NUMBER(11,0) default 0 NOT NULL, 
	"MOTHER_OBJ_TYPE" NUMBER(11,0) default 0 NOT NULL, 
	"UPDATETIMESTAMP" NUMBER(11,0) default 0 NOT NULL, 
	"MOTHERID" VARCHAR2(32) default NULL, 
	 PRIMARY KEY ("ID") ENABLE
   )
/
CREATE INDEX "CONTENTMAP_IDX1"
 ON "CONTENTMAP" ("OBJ_ID")
/
CREATE INDEX "CONTENTMAP_IDX2"
 ON "CONTENTMAP" ("OBJ_TYPE")
/
CREATE INDEX "CONTENTMAP_IDX3"
 ON "CONTENTMAP" ("MOTHERID", "CONTENTID")
/
CREATE UNIQUE INDEX "CONTENTMAP_IDX4"
 ON "CONTENTMAP" ("CONTENTID")
/
CREATE SEQUENCE   "CONTENTMAP_SEQUENCE"  MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 18161 CACHE 20 NOORDER  NOCYCLE
/
CREATE OR REPLACE TRIGGER  "CONTENTMAP_TRIGGER" 
BEFORE INSERT
ON contentmap
REFERENCING NEW AS NEW
FOR EACH ROW
BEGIN
SELECT contentmap_sequence.nextval INTO :NEW.ID FROM dual;
END;
/
ALTER TRIGGER  "CONTENTMAP_TRIGGER" ENABLE
/
-- gentics-end-table-contentmap

-- gentics-start-table-contentmap_nodeversion
CREATE TABLE  "CONTENTMAP_NODEVERSION" 
   (	"ID" NUMBER(11,0) default 0 NOT NULL, 
	"CONTENTID" VARCHAR2(32) default '' NOT NULL, 
	"OBJ_ID" NUMBER(11,0) default 0 NOT NULL, 
	"OBJ_TYPE" NUMBER(11,0) default 0 NOT NULL, 
	"MOTHERID" VARCHAR2(32) default NULL, 
	"MOTHER_OBJ_ID" NUMBER(11,0) default 0 NOT NULL, 
	"MOTHER_OBJ_TYPE" NUMBER(11,0) default 0 NOT NULL, 
	"UPDATETIMESTAMP" NUMBER(11,0) default 0 NOT NULL, 
	"NODEVERSIONTIMESTAMP" NUMBER(11,0) default NULL, 
	"NODEVERSION_USER" VARCHAR2(255) default NULL, 
	"NODEVERSIONLATEST" NUMBER(11,0) default NULL, 
	"NODEVERSIONREMOVED" NUMBER(11,0) default NULL, 
	"NODEVERSION_AUTOUPDATE" NUMBER(4,0) default 0 NOT NULL
   )
/
CREATE INDEX "CONTENTMAP_NODEVERSION_IDX1"
 ON "CONTENTMAP_NODEVERSION" ("OBJ_ID")
/
CREATE INDEX "CONTENTMAP_NODEVERSION_IDX3"
 ON "CONTENTMAP_NODEVERSION" ("OBJ_TYPE")
/
CREATE INDEX "CONTENTMAP_NODEVERSION_IDX4"
 ON "CONTENTMAP_NODEVERSION" ("MOTHERID")
/
CREATE INDEX "CONTENTMAP_NODEVERSION_IDX5"
 ON "CONTENTMAP_NODEVERSION" ("CONTENTID")
/
CREATE INDEX "CONTENTMAP_NODEVERSION_IDX6"
 ON "CONTENTMAP_NODEVERSION" ("MOTHERID", "CONTENTID")
/
CREATE INDEX "CONTENTMAP_NODEVERSION_IDX7"
 ON "CONTENTMAP_NODEVERSION" ("ID")
/
-- gentics-end-table-contentmap_nodeversion

CREATE TABLE  "CONTENTOBJECT" 
   (	"NAME" VARCHAR2(32) default NULL, 
	"TYPE" NUMBER(11,0) default 0 NOT NULL, 
	"ID_COUNTER" NUMBER(11,0) default 0 NOT NULL, 
	"EXCLUDE_VERSIONING" NUMBER(11,0) default 0 NOT NULL, 
	 PRIMARY KEY ("TYPE") ENABLE
   )
/

CREATE TABLE  "CONTENTSTATUS" 
   (	"NAME" VARCHAR2(255) default '' NOT NULL, 
	"INTVALUE" NUMBER(11,0) default NULL,
	"STRINGVALUE" CLOB,
	 PRIMARY KEY ("NAME") ENABLE
   )
/

CREATE SEQUENCE   "CONTENTATTRIBUTE_SEQUENCE"  MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 56701 CACHE 20 NOORDER  NOCYCLE
/

CREATE OR REPLACE TRIGGER  "CONTENTATTRIBUTE_TRIGGER" 
BEFORE INSERT
ON contentattribute
REFERENCING NEW AS NEW
FOR EACH ROW
BEGIN
SELECT contentattribute_sequence.nextval INTO :NEW.ID FROM dual;
END;
/
ALTER TRIGGER  "CONTENTATTRIBUTE_TRIGGER" ENABLE
/
